#include <bits/stdc++.h>

using namespace std;

struct Fr{
    int a;
    double p;
};

bool uporedi(Fr x, Fr y) {
    return x.p < y.p;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int n;
    long double suma = 0;
    cin >> n;
    Fr niz[n];
    long double tempS,maxS;


    for(int i = 0; i < n; ++i) {
        cin >> niz[i].a;
        suma += niz[i].a;

        cin >> niz[i].p;
    }

    sort(niz, niz + n, uporedi);

    for(int i = 0; i < n; ++i) {
        tempS = suma*niz[i].p/100.;
        if(i == 0) maxS = tempS;
        else if(tempS > maxS) maxS = tempS;
        suma -= niz[i].a;
    }

    cout << fixed << setprecision(6) << maxS;

    return 0;
}